Subject: bug#78815: 31.0.50; completions truncated

From: Colin Baxter <[email-masked]>
Date: Wed, 18 Jun 2025 17:42:50 +0100

>>>>> Eli Zaretskii <[email-masked]> writes:

    >> From: Colin Baxter <[email-masked]> Cc: [email-masked]
    >> Date: Wed, 18 Jun 2025 17:13:30 +0100
    >> 
    >>>>>>> Eli Zaretskii <[email-masked]> writes:
    >> 
    >> > What can I say? it doesn't work here, neither on MS-Windows nor
    >> on > GNU/Linux, with this recipe:
    >> 
    >> > emacs -Q C-h f completion TAB TAB TAB TAB TAB
    >> 
    >> > (I have to type TAB 5 times before I see the end of the buffer,
    >> > which has 135 lines and shows 131 completions.)
    >> 
    >> > Btw, it is strange that your screenshot shows the candidates
    >> which > start from completion-auto-select (here the list starts
    >> with > completion--cache-all-sorted-completions instead), and
    >> doesn't > show the heading of the *Completions* buffer ("Click or
    >> type > M-RET...").
    >> 
    >> > Did I use a wrong recipe or something?
    >> 
    >> Perhaps I should give my steps in more detail:-
    >> 
    >> 1. cd ~/git/emacs <RET> 2. src/emacs -Q <RET> 3. C-h f <RET>

    > Step 3 gets me an error message: You didn’️t specify a function
    > symbol.

Yes, that's correct. The <RET> immediately after C-f is a typo.

Colin Baxter.